package com.house365.xxx.house.word.search.db;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;

import org.apache.commons.dbcp2.BasicDataSource;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class MDbcpPoolHelper {
	private static Log log = LogFactory.getLog(MDbcpPoolHelper.class);
	private HashMap<String, BasicDataSource> mapIdDS;

	public HashMap<String, BasicDataSource> getMapIdDS() {
		return mapIdDS;
	}

	public void setMapIdDS(HashMap<String, BasicDataSource> mapIdDS) {
		this.mapIdDS = mapIdDS;
	}

	public Connection getConn(String id) throws SQLException {
		return mapIdDS.get(id).getConnection();
	}

	public void release(ResultSet rs, Statement st, Connection conn) {
		if (rs != null) {
			try {
				rs.close();
			} catch (Exception e) {
				log.error(e.getMessage(), e);
			}
		}
		if (st != null) {
			try {
				st.close();
			} catch (Exception e) {
				log.error(e.getMessage(), e);
			}
		}
		if (conn != null) {
			try {
				conn.close();
			} catch (Exception e) {
				log.error(e.getMessage(), e);
			}
		}
	}
}