package com.house365.xxx.house.word.search.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.ApplicationContext;

import com.house365.xxx.common.config.SystemStarter;
import com.house365.xxx.house.word.search.core.DistanceChecker;

public class InitServlet extends HttpServlet {
	private static final long serialVersionUID = 8225953253554733903L;
	private static Log logger = LogFactory.getLog(InitServlet.class);
	private static SystemStarter loader = new SystemStarter();

	public void init() throws ServletException {
		try {
			loader.start();
			ApplicationContext applicationContext = loader
					.getApplicationContext();
			DistanceChecker checker = applicationContext
					.getBean(DistanceChecker.class);
			checker.init();
		} catch (IOException e) {
			logger.error(e.getMessage(), e);
		}
	}
	
	public static SystemStarter getLoader(){
		return loader;
	}
	
	public static ApplicationContext getApplicationContext(){
		return loader.getApplicationContext();
	}
}
